Bug 116638 - Warning messages when USB printer is plugged in.
Summary: Warning messages when USB printer is plugged in.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hotplug   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL: http://cvs.sourceforge.net/viewcvs.py...
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-02-24 02:48 UTC by Aleksey Nogin
Modified: 2014-03-17 02:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-03 20:56:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2004-02-24 02:48:32 UTC
When I plug in my USB printer (HP LaserJet 1200), I see the following
on the console:

cat: /sys//class/usb/lp0/bNumConfigurations: No such file or directory
/etc/hotplug/usb.agent: line 144: [: too many arguments

After the printer is inserted, /sys/class/usb/lp0 contains:

# ls -l /sys/class/usb/lp0/
total 0
-r--r--r--  1 root root 4096 Feb 23 18:46 dev
lrwxrwxrwx  1 root root   65 Feb 23 18:46 device ->
../../../devices/pci0000:00/0000:00:1d.0/usb1/1-1/1-1.2/1-1.2:1.0
lrwxrwxrwx  1 root root   30 Feb 23 18:46 driver ->
../../../bus/usb/drivers/usblp
# ls -l /sys/class/usb/lp0/device/
total 0
-r--r--r--  1 root root 4096 Feb 23 18:46 bAlternateSetting
-r--r--r--  1 root root 4096 Feb 23 18:46 bInterfaceClass
-r--r--r--  1 root root 4096 Feb 23 18:46 bInterfaceNumber
-r--r--r--  1 root root 4096 Feb 23 18:46 bInterfaceProtocol
-r--r--r--  1 root root 4096 Feb 23 18:46 bInterfaceSubClass
-r--r--r--  1 root root 4096 Feb 23 18:46 bNumEndpoints
-rw-r--r--  1 root root 4096 Feb 23 18:46 detach_state
-r--r--r--  1 root root 4096 Feb 23 18:46 iInterface
drwxr-xr-x  2 root root    0 Feb 23 18:46 power
# ls -l /sys/class/usb/lp0/driver/
total 0
lrwxrwxrwx  1 root root 68 Feb 23 18:46 1-1.2:1.0 ->
../../../../devices/pci0000:00/0000:00:1d.0/usb1/1-1/1-1.2/1-1.2:1.0

and no "bNumConfigurations" anywhere...

I currently have hotplug-2004_01_05-1 and kernel-2.6.3-1.97

Comment 1 Barry K. Nathan 2004-03-01 00:15:30 UTC
I'm seeing this too, with an HP DeskJet 990cse. On both FC devel and
Mandrake cooker. So, whatever this problem is, it's not specific just
to FC devel...

Comment 2 John Thacker 2004-03-28 16:50:41 UTC
Fixed in upstream CVS on March 14.

See:
http://cvs.sourceforge.net/viewcvs.py/linux-hotplug/admin/etc/hotplug/usb.agent?r1=1.36&r2=1.37

Perhaps this patch should be included if a new version of hotplug
isn't released before FC2?

Comment 3 John Thacker 2004-03-28 16:59:31 UTC
As a further note, this is only representative of a large number of
error and warning messages I see with hotplug and the latest
development kernel (2.6.3-2.1.253.2.1).  There's a lot of syntax
changes, all of which are currently fixed in the current hotplug CVS.

(Other example messages:
input.agent[697]: ... no modules for INPUT product
input.agent[1489]: ... no modules for INPUT product 0011/0001/0001/ab41
pci.agent[1861]: ... no modules for PCI slot )

I don't like saying that we should upgrade to CVS, but if there's not
a new hotplug release before FC2, it might be better than spewing lots
of error and warning messages.

Comment 4 Bill Nottingham 2004-05-03 20:56:08 UTC
fixed in 2004_04_01


Note You need to log in before you can comment on or make changes to this bug.